Subject: Re: bug#3022: 23.0.92; triangle images in Customize buffers are just plain bad

From: Juri Linkov <[email-masked]>
Date: Fri, 06 Nov 2009 03:50:37 +0200

>> > While the idea behind the triangles (arrows) in Customize is good
>> > (actually, I believe it was I who suggested it), the
>> > current effect is quite bad.
>> >
>> > If the value is shown, then the triangle points downward. Typically,
>> > that symbol means that clicking it will display something additional
>> > below the symbol. Instead, the value disappears.
>> >
>> > If the value is not shown, the the symbol is a right-pointing
>> > triangle. That's OK in this case, since it suggests that clicking it
>> > will display something to the right, and the value is to the right.
>> >
>> > However, for the symbol that replaces `More', a right-pointing
>> > triangle is inappropriate, since the text is not displayed to its
>> > right, but below it.
>>
>> This is a very standard user interface idiom, known as "disclosure
>> triangles".
>
> Calling it by name and "very standard" doesn't improve anything. It was I who
> suggested the idea in the first place. The idea is fine, as I said already.
>
> "The current _effect_ is bad." That's the point: it is simply not done right.
> The result is confusion and easily missing information. See above for details.

>From http://en.wikipedia.org/wiki/Disclosure_widget

  The state of the widget is often signified by a label with a triangle
  next to it, pointing sideways when it is collapsed and downward when
  it is expanded (corresponding to the widget's current state), or
  a button with an arrow pointing downward when it is collapsed and
  upward when it is expanded (corresponding to how the widget will
  change state if the button is clicked).

-- 
Juri Linkov
http://www.jurta.org/emacs/